Loading...
Searching...
No Matches
CglLandPUtils.hpp File Reference
`#include "CglLandPTabRow.hpp"`
`#include <vector>`
`#include <cmath>`
Include dependency graph for CglLandPUtils.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | LAP::Cuts
| To store extra cuts generated by columns from which they origin. More...

## Namespaces

namespace | LAP
| Performs one round of Lift & Project using CglLandPSimplex to build cuts.

## Functions

double | LAP::normCoef (TabRow &row, int ncols, const int *nonBasics)
| Compute $ \frac{\sum\limits_{j=1}^n | \overline a_{ij} |}{1 - \overline a_{i0}} $ for row passed as argument.
void | LAP::scale (OsiRowCut &cut)
| scale the cut passed as argument
void | LAP::scale (OsiRowCut &cut, double norma)
| scale the cut passed as argument using provided normalization factor
void | LAP::modularizeRow (TabRow &row, const bool *integerVar)
| Modularize row.
double | LAP::intersectionCutCoef (double alpha_i, double beta)
| return the coefficients of the intersection cut
double | LAP::modularizedCoef (double alpha, double beta)
| compute the modularized row coefficient for an integer variable
bool | LAP::int_val (double value, double tol)
| Says is value is integer.